libmeep12_1.7.0-3_amd64.deb


Advertisement

Description

libmeep12 - library for using meep

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libmeep12_1.7.0-3_amd64.deb
Package name libmeep12
Package version 1.7.0
Package release 3
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://meep.readthedocs.io
License -
Maintainer Thorsten Alteholz <debian@alteholz.de>
Download size 371.82 KB
Installed size 1.16 MB
Meep is a free and open-source software package for electromagnetics
simulation via the finite-difference time-domain (FDTD) method.
Its features include:
* Free and open-source software under the GNU GPL.
* Complete scriptability via Python, Scheme, or C++ APIs.
* Simulation in 1d, 2d, 3d, and cylindrical coordinates.
* Distributed memory parallelism on any system supporting MPI.
* Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
along with dispersive ε(ω) and μ(ω) including loss/gain,
nonlinear (Kerr & Pockels) dielectric and magnetic materials,
electric/magnetic conductivities σ, and saturable gain/absorption.
* Perfectly-matched layer (PML) absorbing boundaries as well as
Bloch-periodic and perfect-conductor boundary conditions.
* Exploitation of symmetries to reduce the computation size, including
even/odd mirror planes and 90°/180° rotations.
* Arbitrary current sources including a guided-mode launcher.
* Frequency-domain solver for finding the response to a
continuous-wave (CW) source.
* ε/μ and field import/export in the HDF5 data format.
* GDSII file import for planar geometries.
* Materials library containing predefined broadband, complex
refractive indices.
* Field analyses including Poynting flux, mode decomposition, near to far
transformations, frequency extraction, local density of states (LDOS),
modal volume, Maxwell stress tensor, arbitrary functions; completely
programmable.
This package contains the library.

Alternatives

Package Version Architecture Repository
libmeep12_1.7.0-3_i386.deb 1.7.0 i386 Debian Main
libmeep12 - - -

Requires

Name Value
libatlas3-base -
libc6 >= 2.14
libfftw3-double3 >= 3.3.5
libgcc1 >= 1:4.0
libgfortran5 >= 8
libgsl23 >= 2.5
libgslcblas0 >= 2.4
libharminv3 >= 1.4
libhdf5-103 -
liblapack.so.3 -
liblapack3 -
libquadmath0 >= 4.6
libstdc++6 >= 5.2
zlib1g >= 1:1.1.4

Conflicts

Name Value
libmeep1 -
libmeep10 -
libmeep2 -
libmeep6 -
libmeep7 -
libmeep8 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmeep12_1.7.0-3_amd64.deb
Source Package meep

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmeep12 deb package:
    # sudo apt-get install libmeep12

Files

Path
/usr/lib/x86_64-linux-gnu/libmeep.so.12
/usr/lib/x86_64-linux-gnu/libmeep.so.12.0.0
/usr/lib/x86_64-linux-gnu/libmeepgeom.so.12
/usr/lib/x86_64-linux-gnu/libmeepgeom.so.12.0.0
/usr/lib/x86_64-linux-gnu/libpympb.so.12
/usr/lib/x86_64-linux-gnu/libpympb.so.12.0.0
/usr/share/doc/libmeep12/changelog.Debian.gz
/usr/share/doc/libmeep12/changelog.gz
/usr/share/doc/libmeep12/copyright
/usr/share/lintian/overrides/libmeep12
/usr/share/meep/casimir.scm
/usr/share/meep/materials.scm
/usr/share/meep/meep-enums.scm
/usr/share/meep/meep.scm

Changelog

2019-01-31 - Thorsten Alteholz <debian@alteholz.de>
meep (1.7.0-3) sid; urgency=medium
* debian/control: also depend on mpi
* debian/control: update description according to upstream wishes
* debian/control: update homepage
* debian/control: Standards Version to 4.3.0. (No changes needed).
* debian/control: add dependency for python-scipy
* debian/copyright: update Upstream-Source:
2018-12-26 - Thorsten Alteholz <debian@alteholz.de>
meep (1.7.0-2) unstable; urgency=medium
* upload to unstable
* debian/control: add more Conflicts: (Closes: #916823)
2018-12-17 - Thorsten Alteholz <debian@alteholz.de>
meep (1.7.0-1) experimental; urgency=medium
* New upstream release (Closes: #887955)
* debian/control: Standards Version to 4.2.1. (No changes needed).
* update debian/watch
* debian/control: depend on newest libctl and thus on guile2.2
(Closes: #885228)
* debian/control: depend on newest libharminv
* debian/control: add salsa VCS URLs
* debian/control: bump SONAME to 12
* debian/rules: don't use --parallel as dh parameter
[ Ruben Undheim ]
* add python package
2018-02-12 - Thorsten Alteholz <debian@alteholz.de>
meep (1.4.3-1) UNRELEASED; urgency=medium
* New upstream release (Closes: #887955)
* debian/control: use dh11
* debian/control: Standards Version to 4.1.3. (No changes needed).
* debian/control: use libctl>=4.0.0
* debian/control: add swig dependency
* debian/control: remove dependencies: autotools-dev, dh-autoreconf
* debian/rules: add --enable-maintainer-mode to configure flags
2015-12-20 - Thorsten Alteholz <debian@alteholz.de>
meep (1.3-4) unstable; urgency=medium
* debian/control: Update build dependencies for GSL 2, (Closes: #807210)
change libgsl0-dev to libgsl-dev.
Thanks to Bas Couwenberg for the patch
* debian/rules: Update configure flag to look for /usr/share/libctl
Thanks to Logan Rosen for the patch (Closes:  #748822)
2015-07-06 - Thorsten Alteholz <debian@alteholz.de>
meep (1.3-3) unstable; urgency=medium
* debian/rules: exclude architectures from tests (see #759790)
2015-07-05 - Thorsten Alteholz <debian@alteholz.de>
meep (1.3-2) unstable; urgency=medium
* debian/rules: use --parallel in dh (Closes: #759790)
(Thanks to Gilles Filippini for this hint)
* debian/rules: don't use tests on powerpc until issue is clarified
(Closes: #790917)
2015-06-22 - Thorsten Alteholz <debian@alteholz.de>
meep (1.3-1) unstable; urgency=medium
* new upstream version (Closes: #781624, #789558)
* soname changed to 8
* debian/control: Standards Version to 3.9.6. (No changes needed).
2014-08-03 - Thorsten Alteholz <debian@alteholz.de>
meep (1.2.1-2) unstable; urgency=medium
* Support hdf5 1.8.13 new packaging layout. (Closes: #756679)
(patch by Gilles Filippini <pini@debian.org>)
2014-05-10 - Thorsten Alteholz <debian@alteholz.de>
meep (1.2.1-1) unstable; urgency=medium
* new upstream version (Closes: #743466)
* soname changed to 7
* debian/rules: upstream ChangeLog is now called NEWS
* debian/control: Standards Version to 3.9.5. (No changes needed).
* debian/control: switch to dh 9
* debian/control: use guile 2.0 now (Closes: #746007)
* debian/rules: use debhelper (Closes: #747410)
* debian/rules: use --with autoreconf (Closes: #744465)

See Also

Package Description
libmelt-ocaml-dev_1.4.0-2+b1_amd64.deb LaTeX with OCaml (libraries)
libmemcached-dev_1.0.18-4.2_amd64.deb C and C++ client library to the memcached server (development files)
libmemcached-libmemcached-perl_1.001801+dfsg-2+b4_amd64.deb thin, fast, full interface to the libmemcached client API
libmemcached-tools_1.0.18-4.2_amd64.deb Commandline tools for talking to memcached via libmemcached
libmemcached11_1.0.18-4.2_amd64.deb C and C++ client library to the memcached server
libmemcachedutil2_1.0.18-4.2_amd64.deb library implementing connection pooling for libmemcached
libmemkind-dev_1.8.0-4_amd64.deb user-extensible heap manager for heterogeneous memory platforms
libmemkind-progs_1.8.0-4_amd64.deb user-extensible heap manager for heterogeneous memory platforms
libmemkind0_1.8.0-4_amd64.deb user-extensible heap manager for heterogeneous memory platforms
libmemoize-expirelru-perl_0.56-1_all.deb Expiry plug-in for Memoize that adds LRU cache expiration
libmemoize-memcached-perl_0.04-1_all.deb implementation of Memoize using memcached for storage
libmemory-usage-perl_0.201-3_all.deb Determine actual memory usage of Perl programs
libmems-dev_1.6.0+4725-8+b1_amd64.deb development library to support DNA string matching and comparative genomics
libmems1_1.6.0+4725-8+b1_amd64.deb library to support DNA string matching and comparative genomics
libmemtailor-dev_1.0~git20160311-2_amd64.deb C++ library of special purpose memory allocators (developer tools)
Advertisement
Advertisement